httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Behlendorf <br...@hyperreal.com>
Subject Re: <limit> behaviour change... ["James H. Cloos Jr." <cloos@JHCloos.COM>] (fwd)
Date Wed, 09 Aug 1995 16:48:00 GMT


---------- Forwarded message ----------
Date: Wed, 9 Aug 1995 01:36:57 -0500
From: "James H. Cloos Jr." <cloos@JHCloos.COM>
To: new-httpd@hyperreal.com
Subject: Re: <limit> behaviour change...


There is one incompatability I've noticed between 0.8.8 and NCSA 1.4
that is not on the compat_notes.html page.

In an exec cgi="" SSI, NCSA will run the script even if it is not a
ScriptAlias (or under a ScriptAlias directory) or resolves to
application/x-httpd-cgi.  Apache, OTOH, treats the cgi="" target as
any HREF="" target.

The counrterord script is a good example of one that breaks.  (And the
script needs to be patched so that it will run the ordinal output
function when called as counterord.cgi, for instance.)  This broke a
few pages here when we switched over....

-JimC
-- 
James H. Cloos, Jr.	Snail:	POBox 18122 Austin, TX 78760-8122
cloos@io.com		URL:	http://www.jhcloos.com/~cloos/



Mime
View raw message